summaryrefslogtreecommitdiffstats
path: root/test/TEST-22-TMPFILES/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-22-TMPFILES/test.sh')
-rwxr-xr-xtest/TEST-22-TMPFILES/test.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/test/TEST-22-TMPFILES/test.sh b/test/TEST-22-TMPFILES/test.sh
new file mode 100755
index 0000000..82d497d
--- /dev/null
+++ b/test/TEST-22-TMPFILES/test.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -e
+
+TEST_DESCRIPTION="Tmpfiles related tests"
+TEST_NO_QEMU=1
+
+# shellcheck source=test/test-functions
+. "${TEST_BASE_DIR:?}/test-functions"
+
+test_append_files() {
+ if get_bool "${IS_BUILT_WITH_ASAN:=}"; then
+ if [[ -z "${initdir:=}" ]]; then
+ echo >&2 "\$initdir is not defined, can't continue"
+ exit 1
+ fi
+
+ sed -i "s/systemd//g" "$initdir/etc/nsswitch.conf"
+ fi
+
+ image_install setfacl
+}
+
+do_test "$@"